PUT
/product-offers/{id}
Update a product offer
Product Offers
Description
Update an existing product offer. Only the provided fields will be updated.
Authentication Required: User must be authenticated and have the 'merchant' feature flag.
Authorization: Merchant users can only update their own offers.
Parameters
id
integer
path
required
Offer ID
Request Body
requiredapplication/json
product_idinteger
Associated product ID
Example:
123skustring
Stock Keeping Unit
Example:
PROD-12345pricenumber (float)
Current price (must be >= 0)
Example:
24.99former_pricenumber (float)
Previous price for discount display
Example:
29.99urlstring (uri)
URL to the product page
Example:
https://myshop.com/product/12345delivery_costsobject
Delivery costs by shipping method
Example:
{"standard":4.99}delivery_timeinteger
Estimated delivery time in days
Example:
3order_processing_timeinteger
Order processing time in days
Example:
1free_return_daysinteger
Number of days for free returns
Example:
30usedboolean
Whether the product is used
conditionstringenum: new, like_new, good, fair, poor
Product condition
Example:
newcommission_ratenumber (float)
Commission rate percentage (0-100)
Example:
5.0Responses
200
Offer updated successfully
application/jsonstatusstring
Example:
successmessagestring
Example:
Offer updated successfullydataobject
401
Authentication required
application/jsonExample:
{
"status": "error",
"message": "Not authenticated or insufficient permissions"
}
404
Offer not found
application/jsonExample:
{
"status": "error",
"message": "Offer not found"
}
422
Validation error
application/jsonExample:
{
"status": "error",
"message": "Failed to update offer",
"errors": [
"Price must be greater than or equal to 0"
]
}